// toolbar constants
#define ID_TOOLBAR         1

/* --- The following code comes from d:\lcc\lib\wizard\dll.tpl. */
#include <windows.h>    // includes basic windows functionality
#include <commctrl.h>   // includes the common control header
#include "resource.h"

/*------------------------------------------------------------------------
 Procedure:     LibMain ID:1
 Purpose:       Dll entry point.Called when a dll is loaded or
                unloaded by a process, and when new threads are
                created or destroyed.
 Input:         hDllInst: Instance handle of the dll
                fdwReason: event: attach/detach
                lpvReserved: not used
 Output:        The return value is used only when the fdwReason is
                DLL_PROCESS_ATTACH. True means that the dll has
                sucesfully loaded, False means that the dll is unable
                to initialize and should be unloaded immediately.
 Errors:
------------------------------------------------------------------------*/
static  HINSTANCE  hInst;


TBBUTTON tbButtons[] = {
	{ 0, IDM_NEW, TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0},
	{ 1, IDM_OPEN, TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0},
	{ 2, IDM_SAVE, TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0},
	{ 0, 0, TBSTATE_ENABLED, TBSTYLE_SEP, 0, 0},
	{ 3, IDM_CUT, TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0},
	{4, IDM_COPY, TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0},
	{ 5, IDM_PASTE, TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0},
	{ 0, 0, TBSTATE_ENABLED, TBSTYLE_SEP, 0, 0},
	{ 6, IDM_PRINT, TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0},
	{ 0, 0, TBSTATE_ENABLED, TBSTYLE_SEP, 0, 0},
    { 7, IDM_ABOUT, TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0}
};


BOOL WINAPI __declspec(dllexport) LibMain(HINSTANCE hDLLInst, DWORD fdwReason, LPVOID lpvReserved)
{
    switch (fdwReason)
    {
        case DLL_PROCESS_ATTACH:
            // The DLL is being loaded for the first time by a given process.
            // Perform per-process initialization here.  If the initialization
            // is successful, return TRUE; if unsuccessful, return FALSE.
			hInst = hDLLInst;


            break;
        case DLL_PROCESS_DETACH:
            // The DLL is being unloaded by a given process.  Do any
            // per-process clean up here, such as undoing what was done in
            // DLL_PROCESS_ATTACH.  The return value is ignored.


            break;
        case DLL_THREAD_ATTACH:
            // A thread is being created in a process that has already loaded
            // this DLL.  Perform any per-thread initialization here.  The
            // return value is ignored.

            break;
        case DLL_THREAD_DETACH:
            // A thread is exiting cleanly in a process that has already
            // loaded this DLL.  Perform any per-thread clean up here.  The
            // return value is ignored.

            break;
    }
    return TRUE;
}

HWND APIENTRY __declspec(dllexport)
CreateAToolBar(HWND hWnd)
{

   HWND hWndToolbar;
   INITCOMMONCONTROLSEX icex;



// Ensure that the common control DLL is loaded.
   icex.dwSize = sizeof(INITCOMMONCONTROLSEX);
   icex.dwICC  = ICC_WIN95_CLASSES;
   InitCommonControlsEx(&icex);

			hWndToolbar = CreateToolbarEx(
				hWnd,                   // parent
				WS_CHILD | WS_BORDER | WS_VISIBLE | TBSTYLE_TOOLTIPS | CCS_ADJUSTABLE,   // window style
				ID_TOOLBAR,             // toolbar id
				8,                      // number of bitmaps
				hInst,                  // mod instance
				IDB_TOOLBAR,            // resource ID for bitmap
				(LPCTBBUTTON)&tbButtons,// address of buttons
				11,                     // number of buttons
				16,16,                  // width & height of buttons
				16,16,                  // width & height of bitmaps
				sizeof(TBBUTTON));      // structure size

			if (hWndToolbar == NULL )
			{
				MessageBox (NULL, "Tool not created!", NULL, MB_OK );
				return 0;
			}


	return hWndToolbar;
}

